Create Channel
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { channel, channelError } = await reloop.contacts.channels.create({6 name: "Product Updates",7 description: "Get the latest news about our products",8 defaultSubscription: "opt_in",9 visibility: "public",10});11
12if (channelError) throw channelError;13
14console.log(channel.id, channel.name);1{2 "object": "channel",3 "id": "con_123456789",4 "name": "Newsletter",5 "description": "example_description",6 "defaultSubscription": "opt_in",7 "visibility": "private",8 "createdAt": "2026-03-23T10:00:00.000Z",9 "updatedAt": "2026-03-23T10:00:00.000Z",10 "event": "evt_123456789"11}Body Parameters
namestringRequired
Channel name
- Minimum length:
1 - Maximum length:
255
descriptionstring
Channel description
- Maximum length:
1000
defaultSubscription"opt_in" | "opt_out"
Possible values: opt_in | opt_out
visibility"private" | "public"
Possible values: private | public
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.